#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - environment installation
#
# Creation   :  2013-04-13 holbru
# Last update:  $Id: postinstall-environment.sh 33503 2013-04-17 21:54:37Z hbfl $
#
# Copyright (c) 2013-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=environment

# ---------------------------------------------------------------------------
# update-2.0.5
# ---------------------------------------------------------------------------
update_2_0_5 ()
{
/var/install/config.d/environment-update.sh

# ---------------------------------------------------------------------------
# check for correct LC_CYTPE setting
# ---------------------------------------------------------------------------
environment_conf="/etc/config.d/environment"
. ${environment_conf}
 
if echo "${LC_CTYPE}" | grep -qE '\.[Uu][Tt][Ff]-?8'
then
    if ! echo "${LC_CTYPE}" | grep -qE '\.UTF-8'
    then
        . /var/install/include/eislib

        sed -i "s/LC_CTYPE=[\"|']\(.*\)\..*[\"|'] /LC_CTYPE=\'\1.UTF-8\' /" \
               ${environment_conf} 

        # do not remove the spaces ;-),
        # it is recommended for 'white' background
        mecho --warn "                                                                  "
        mecho --warn "Please reboot for console changes!                                "
        mecho --warn "                                                                  "
    fi
fi

# ---------------------------------------------------------------------------
# switch environment edit entry to pre environment edit script
# get locale and set LC_CTYPE settings
# with 'pre-setup-system-base-environment-edit'
# ---------------------------------------------------------------------------
menu_file="/var/install/menu/setup.system.base.menu"
menu_entry_old='<edit package="environment">Edit environment configuration</edit>'
menu_entry_new='<edit pre="pre-setup-system-base-environment-edit" package="environment">Edit environment configuration</edit>'

if ! grep -q 'pre-setup-system-base-environment-edit' ${menu_file}
then
    sed -i "s#${menu_entry_old}#${menu_entry_new}#" ${menu_file}
fi

}

# ---------------------------------------------------------------------------
# main
# ---------------------------------------------------------------------------

base_version=$(sed -e 's/[svn|cvs].*$//; s/\./_/g' /etc/version)

update_${base_version}

# remove filelist
rm -f /etc/filelist.d/${package_name}-files.txt

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
